Skip to main content

Document Search (content)

GET 

/qlibs/:qlibid/q/:qhit/rep/search_content

results are documents (hash version + metadata prefix)

To query an index, making a rep call on the Index Object using the function search or search_content

TERMS='Big Buck Bunny' .../rep/search_content?terms=${TERMS}&authorization=${AUTH}"

search Example:

search for the term "Big Buck Bunny" in content
Translated into an url, the document search performed on the fabric node <URL> using the Index Object <QID> in library <ILIB> with the query "Big Buck Bunny"
`https://<URL>/qlibs/<LIB>/q/<QID>/rep/search_content?terms=Big%20Buck%20Bunny%20&authorization=<TOKEN>`

search_content Example:

search for the term "Big Buck Bunny" in content
Translated into an url, the document search performed on the fabric node &lt;URL&gt; using the Index Object &lt;QID&gt; in library &lt;ILIB&gt; with the query "Big Buck Bunny"
`https://<URL>/qlibs/<LIB>/q/<QID>/rep/search_content?terms=Big%20Buck%20Bunny%20&authorization=<TOKEN>`

Request

Responses

Search result